Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMUIEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMUIEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event, UIEvent

Direct Known Subclasses:
  DOMKeyboardEvent, DOMKeyEvent, DOMMouseEvent, DOMTextEvent, SVGOMWheelEvent

    public class DOMUIEvent

extends AbstractEvent
implements UIEvent

The UIEvent class provides specific contextual information associated with User Interface events.

Field Summary

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMUIEvent()`

Method Summary
`int` | `getDetail()` DOM: Specifies some detail information about the `Event`, depending on the type of event.
`AbstractView` | `getView()` DOM: The `view` attribute identifies the `AbstractView` from which the event was generated.
`void` | `initUIEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg)` DOM: The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface.
`void` | `initUIEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg)` DOM: Initializes this event object.
`protected String[]` | `split(String s)` Splits a whitespace separated string into tokens.

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Constructor Detail

### DOMUIEvent

    public DOMUIEvent()

Method Detail

### getView

    public AbstractView getView()

  DOM: The `view` attribute identifies the `AbstractView` from which the event was generated.

  Specified by:
    `getView` in interface `UIEvent`

### getDetail

    public int getDetail()

  DOM: Specifies some detail information about the `Event`, depending on the type of event.

  Specified by:
    `getDetail` in interface `UIEvent`

### initUIEvent

    public void initUIEvent(String typeArg,
                            boolean canBubbleArg,
                            boolean cancelableArg,
                            AbstractView viewArg,
                            int detailArg)

  DOM: The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface. This method may only be called before the `UIEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

  Specified by:
    `initUIEvent` in interface `UIEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `detailArg` - Specifies the `Event`'s detail.

### initUIEventNS

    public void initUIEventNS(String namespaceURIArg,
                              String typeArg,
                              boolean canBubbleArg,
                              boolean cancelableArg,
                              AbstractView viewArg,
                              int detailArg)

  DOM: Initializes this event object.

  Specified by:
    `initUIEventNS` in interface `UIEvent`
  Parameters:
    `namespaceURIArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `detailArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.

### split

    protected String[] split(String s)

  Splits a whitespace separated string into tokens.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.